{
  "name": "@gib/ui",
  "private": true,
  "type": "module",
  "exports": {
    ".": "./src/index.tsx",
    "./hooks": "./src/index.tsx"
  },
  "license": "MIT",
  "scripts": {
    "clean": "git clean -xdf .cache .turbo dist node_modules",
    "format": "prettier --check . --ignore-path ../../.gitignore",
    "lint": "eslint --flag unstable_native_nodejs_ts_config",
    "typecheck": "tsc --noEmit --emitDeclarationOnly false",
    "ui-add": "bunx --bun shadcn@latest add && prettier src --write --list-different"
  },
  "dependencies": {
    "@base-ui/react": "^1.3.0",
    "@hookform/resolvers": "^5.2.2",
    "@radix-ui/react-avatar": "^1.1.11",
    "@radix-ui/react-checkbox": "^1.3.3",
    "@radix-ui/react-dialog": "^1.1.15",
    "@radix-ui/react-dropdown-menu": "^2.1.16",
    "@radix-ui/react-icons": "^1.3.2",
    "@radix-ui/react-label": "^2.1.8",
    "@radix-ui/react-progress": "^1.1.8",
    "@radix-ui/react-scroll-area": "^1.2.10",
    "@radix-ui/react-separator": "^1.1.8",
    "@radix-ui/react-slot": "^1.2.4",
    "@radix-ui/react-switch": "^1.2.6",
    "@radix-ui/react-tabs": "^1.1.13",
    "@tabler/icons-react": "^3.41.0",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "cmdk": "^1.1.1",
    "date-fns": "^4.1.0",
    "embla-carousel-react": "^8.6.0",
    "input-otp": "^1.4.2",
    "lucide-react": "^0.577.0",
    "motion": "^12.38.0",
    "next-themes": "^0.4.6",
    "radix-ui": "^1.4.3",
    "react-day-picker": "^9.14.0",
    "react-hook-form": "^7.72.0",
    "react-image-crop": "^11.0.10",
    "react-resizable-panels": "^4.7.6",
    "recharts": "^3.8.1",
    "sonner": "^2.0.7",
    "tailwind-merge": "^3.5.0",
    "vaul": "^1.1.2"
  },
  "devDependencies": {
    "@gib/eslint-config": "workspace:*",
    "@gib/prettier-config": "workspace:*",
    "@gib/tsconfig": "workspace:*",
    "@types/react": "catalog:react19",
    "eslint": "catalog:",
    "prettier": "catalog:",
    "react": "catalog:react19",
    "typescript": "catalog:",
    "zod": "catalog:"
  },
  "peerDependencies": {
    "react": "catalog:react19",
    "zod": "catalog:"
  },
  "prettier": "@gib/prettier-config"
}
